      PROGRAM uipk02

	use dcl

	integer,parameter :: nx=50,ny=50
	real,dimension(nx,ny) :: z
      DO I = 1, NX
         DO J = 1, NY
            Z(I,J) = - (I - NX / 2.)**2 - (J - NY / 2.)**2
         END DO
      END DO

	call DclSetParm('WINDOW_HEIGHT', 300)
	call DclSetParm('WINDOW_WIDTH', 300)

	call DclOpenGraphics
	call DclNewFrame
	call DclSetWindow( -1., 1., -1., 1.)
	call DclSetViewPort(.1, .9, .1, .9)
	call DclSetTransNumber(1)

	call DclSetTransFunction

	call DclPaintData(z)

	call DclDrawAxis('T', .1, .5)
	call DclDrawAxis('B', .1, .5)
	call DclDrawAxis('L', .1, .5)
	call DclDrawAxis('R', .1, .5)

	call DclCloseGraphics

      END
